Subject: Re[4]: [PATCH 4/5] git-svn: fix bottleneck in stash_placeholder_list()

From: Ilya Basin <[email-masked]>
Date: Tue, 28 May 2013 16:57:34 +0400

IB> * I think git-svn doesn't handle the case, when a tag is deleted.
IB>   I expected it to rename the ref from "tags/tagname" to
IB>   "tags/tagname@rev", but that doesn't happen.
IB>   If a tag is replaced, there's no way to tell what was the previous
IB>   state of that tag: git-svn just rewrites the ref.

OK, I figured out that git-svn creates a merge commit having one of
its parents the previous state of the tag and another parent the state
of the new copy src folder.